org.apache.lucene.analysis.charfilter

## Class HTMLStripCharFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.CharFilterFactory
    - - org.apache.lucene.analysis.charfilter.HTMLStripCharFilterFactory

    public class HTMLStripCharFilterFactory
    extends CharFilterFactory

Factory for `HTMLStripCharFilter`.

     <fieldType name="text_html" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <charFilter class="solr.HTMLStripCharFilterFactory" escapedTags="a, title" />
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
       </analyzer>
     </fieldType>

Since:
  3.1

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`HTMLStripCharFilterFactory(Map<String,String> args)` Creates a new HTMLStripCharFilterFactory

### Method Summary

All Methods Instance Methods Concrete Methods
`HTMLStripCharFilter` `create(Reader input)` Wraps the given Reader with a CharFilter.

### Methods inherited from class org.apache.lucene.analysis.util.CharFilterFactory

`availableCharFilters, forName, lookupClass, reloadCharFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HTMLStripCharFilterFactory

    public HTMLStripCharFilterFactory(Map<String,String> args)

Creates a new HTMLStripCharFilterFactory

### Method Detail

#### create

    public HTMLStripCharFilter create(Reader input)

Description copied from class: `CharFilterFactory`
Wraps the given Reader with a CharFilter.

Specified by:
  `create` in class `CharFilterFactory`